Bug 192663 - Right aligned input field is hidden by clear button
Summary: Right aligned input field is hidden by clear button
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-14 15:16 UTC by Andreas Pietzowski
Modified: 2009-05-23 04:47 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
the test case for this bug. (374 bytes, text/html)
2009-05-14 15:50 UTC, Zayed Al-Saidi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Pietzowski 2009-05-14 15:16:11 UTC
Version:           4.2.2 (KDE 4.2.2) (using 4.2.3 (KDE 4.2.3), Kubuntu packages)
Compiler:          cc
OS:                Linux (x86_64) release 2.6.28-11-generic

The new Konqueror from KDE4 prints a "clear" button right next to every input field. Better to say "in" the input field. This is great but covers the typed characters when the input field is right aligned (e.g. when entering prices or right aligned numbers).

It would be great if Konqueror would check the alignment and put the clear-button on the other side of that input field.

Thanks
Andreas
Comment 1 Zayed Al-Saidi 2009-05-14 15:24:46 UTC
a simple testcase ?
Comment 2 Andreas Pietzowski 2009-05-14 15:36:58 UTC
I set up an example page that demonstrates the usability bug:

http://www.pietzowski.de/rightaligned.html
Comment 3 Zayed Al-Saidi 2009-05-14 15:50:40 UTC
Created attachment 33662 [details]
the test case for this bug.

Thank you for this testcase. I upload it here in case the website is down for any reason.
Comment 4 Andreas Pietzowski 2009-05-14 19:07:00 UTC
The attachment doesn't work here. A Konqueror bug? *g*

Here is the code again - for the case my webserver is down - which shouldn't be ;-)

<INPUT type="text" name="test" align="right" style="text-align : right; float:right;">

This simple line shows the Konqueror bug perfect.
Comment 5 Germain Garand 2009-05-18 07:00:46 UTC
SVN commit 969352 by ggarand:

don't let our internal proxy style override any preexisting proxy
style - rather internally proxy the external widget's internal proxy style.
(say that fast)

BUG: 192663


 M  +7 -6      render_form.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=969352
Comment 6 Germain Garand 2009-05-23 04:47:16 UTC
SVN commit 971648 by ggarand:

automatically merged revision 969352:
don't let our internal proxy style override any preexisting proxy
style - rather internally proxy the external widget's internal proxy style.
(say that fast)

BUG: 192663

 M  +7 -6      render_form.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=971648